
void solarHotWaterControl()
{
  //----------------------------------------------------------------------------
  // Solar hot water system control
  //----------------------------------------------------------------------------
   if (COL<1.8) 
   {
      digitalWrite(2,HIGH);
      pumpState = 1;
   }
   else
   {
     
   if (CYLB>80.0 || CYLT>80.0) 
   {
      digitalWrite(2,LOW);
      pumpState = 0;
   }
   else
   {
      if ((COL-CYLB)>=10.0)
      {
         digitalWrite(2,HIGH);
         pumpState = 1;
      }
      if ((COL-CYLB)<=4.0) 
      {
         digitalWrite(2,LOW);
         pumpState = 0;
      }
   } 
   } //End freezing if
}

void printStuff()
{
   Serial.print(COL,3);
   Serial.print(' ');
   Serial.print(CYLB,3);  
   Serial.print(' ');
   Serial.print(CYLT,3);
   
   Serial.print(' ');
   Serial.print(emon.realPower);
   Serial.print(' ');
   Serial.print(emon.apparentPower);
   Serial.print(' ');
   Serial.print(emon.powerFactor);
   Serial.print(' ');
   Serial.print(emon.Vrms);
   Serial.print(' ');
   Serial.println(emon.Irms);
}

double digitalLowPass(double last_smoothed, double new_value, double filterVal)
{
  double smoothed = (new_value * (1 - filterVal)) + (last_smoothed * filterVal);
  return smoothed;
}
